Ubuntu

Activity log for bug #62511

Date Who What changed Old value New value Message
2006-09-26 20:44:38 David Leadbeater bug added bug
2006-09-28 18:28:50 Martin Pitt apport: status Unconfirmed In Progress
2006-09-28 18:28:50 Martin Pitt apport: importance Undecided Low
2006-09-28 18:28:50 Martin Pitt apport: statusexplanation apport is called whenever the kernel would create a core dump, and currently SIGQUIT is in the set of signals which trigger a core dump. However, I agree that apport should just ignore these.
2006-09-28 18:32:09 Martin Pitt apport: assignee pitti
2006-09-28 18:32:09 Martin Pitt apport: statusexplanation apport is called whenever the kernel would create a core dump, and currently SIGQUIT is in the set of signals which trigger a core dump. However, I agree that apport should just ignore these.
2006-09-28 18:53:12 Martin Pitt bug assigned to linux-source-2.6.17 (Ubuntu)
2006-09-28 18:54:19 Martin Pitt linux-source-2.6.17: status Unconfirmed Confirmed
2006-09-28 18:54:19 Martin Pitt linux-source-2.6.17: importance Undecided Low
2006-09-28 18:54:19 Martin Pitt linux-source-2.6.17: statusexplanation I'm going to ignore SIGQUIT core dumps in apport, but it would be nice if the kernel would not call the crashdump helper and dump core for SIGQUIT in the first place, so that we do not waste the resources.
2006-09-28 18:57:51 Martin Pitt apport: status In Progress Fix Committed
2006-09-28 19:11:07 Martin Pitt apport: status Fix Committed Fix Released
2006-09-28 19:11:07 Martin Pitt apport: statusexplanation apport (0.23) edgy; urgency=low . * apport: Reset signal handler to SIG_IGN in the crash signal handler, to avoid an endless crash/handler loop (noticed during debugging LP#61708). * debian/apport.init: Do not let the script run with set -e, so that do_{start,stop} can deliver their return codes for proper evaluation, instead of immediately existing. Closes: LP#61796 * test-apport: Check that SIGQUIT does not generate a report. (Check for bug #62511). * apport: Ignore SIGQUIT. Closes: LP#62511
2007-08-01 13:40:18 Pádraig Brady bug assigned to linux-source-2.6.20 (Ubuntu)
2007-10-19 16:21:22 Leann Ogasawara linux-source-2.6.20: importance Undecided Low
2007-10-19 16:21:22 Leann Ogasawara linux-source-2.6.20: status New Incomplete
2007-10-19 21:22:15 Leann Ogasawara bug assigned to linux-source-2.6.22 (Ubuntu)
2007-10-19 21:24:38 Leann Ogasawara linux-source-2.6.22: importance Undecided Low
2007-10-19 21:24:38 Leann Ogasawara linux-source-2.6.22: assignee ubuntu-kernel-team
2007-10-19 21:24:38 Leann Ogasawara linux-source-2.6.22: status New Triaged
2007-10-19 21:27:19 Leann Ogasawara linux-source-2.6.20: status Incomplete Won't Fix
2007-10-19 21:29:57 Leann Ogasawara linux-source-2.6.17: status Confirmed Won't Fix
2007-11-15 08:56:37 Martin Pitt title Apport generates a report on SIGQUIT dumps core on SIGQUIT
2007-12-04 21:51:57 Leann Ogasawara bug assigned to linux (Ubuntu)
2007-12-04 21:53:13 Leann Ogasawara linux: importance Undecided Medium
2007-12-04 21:53:13 Leann Ogasawara linux: assignee ubuntu-kernel-team
2007-12-04 21:53:13 Leann Ogasawara linux: status New Triaged
2007-12-04 21:53:27 Leann Ogasawara linux-source-2.6.22: status Triaged Won't Fix
2007-12-12 21:41:16 Ben Collins linux: status Triaged Invalid
2007-12-13 10:06:05 Pádraig Brady linux: status Invalid Confirmed
2008-03-07 22:40:11 Leann Ogasawara linux: status Confirmed Invalid
2012-10-05 10:00:21 Martin Pitt apport (Ubuntu): status Fix Released Triaged
2012-10-05 10:00:36 Martin Pitt apport (Ubuntu): status Triaged Fix Released